Copy, Move Rotate (MOCORO)

Does BricsCAD or a third party provide the copy move rotate (MOCORO) command?  I use this one a lot.  It allows you to copy, move and/or rotate on the fly.  Thanks.

Comments


  • Hello Beres,

    If you are looking for a third party solution for this and more:

    'Copy and then Rotate' as well as 'Move and then Rotate' are part of our CADPower productivity tool-set.

    See below online documentation:

    http://www.4d-technologies.com/cadpower/manual/build_tools.htm

    You can try the software for 30-days @ www.coordsys.com

    Best Regards
    Rakesh Rao
    http://rakeshrao.typepad.com
  • Try this simple lisp-code. It just copies the selected objects an rotates them.

    Start the function with "CR".

    [code](defun c:CR (/ objects p1 p2)  ;copies an Object and rotates them

      (princ "\nSelect objects to copy and rotate... ")
      (if (setq objects (ssget))
        (if (setq p1 (getpoint "\nbasepoint: "))
          (progn
            (command "_.COPY" objects "" p1 p1)
            (princ "\nsecond point: ")
            (command "_.MOVE" objects "" p1 pause)
            (setq P2 (getvar "LASTPOINT"))
            (princ "\nangle: ")
            (command "_.ROTATE" objects "" P2 "b" "0" pause)
          )
        )
        (princ "\nNo objects selected!")
      )
      (princ)
    )[/code]

    Greeting from Germany

    Stefan Wickel

  • Check out the "Cadalyst" website for free lisp/lsp routines that you can then 'unzip' and bring in to Bricscad using the app load command..............
  • 'Grip Editing' allows to cycle through stretch, move, mirror, rotate and scale commands by hitting the space bar. Read the 'Grips Editing' topic in the BricsCAD Help under User Guide > Modifying Entities.
  •  Beres,

    you might also like to try the _ALIGN command. this can combine Move, Rotate, and Scale in one. Works in 2D, or 3D.
    Have an example of use here for aligning an image.

    Regards,

    Jason Bourhill

    CAD Concepts

This discussion has been closed.